Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class ProjectQuestion
    Inherits BaseObject

    Private _ProjectHeader As ProjectHeader
    Private _Question As Question

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("ProjectHeader-ProjectQuestion", GetType(ProjectHeader)), VisibleInListView(False)> _
    Property ProjectHeader As ProjectHeader
        Get
            Return _ProjectHeader
        End Get
        Set(value As ProjectHeader)
            SetPropertyValue("ProjectHeader", _ProjectHeader, value)
        End Set
    End Property
    Property Question As Question
        Get
            Return _Question
        End Get
        Set(value As Question)
            SetPropertyValue("Question", _Question, value)
        End Set
    End Property
End Class
